## auto-07p 0.9.1+dfsg

=== 07p/demos/python/n-body/Makefile ===
clean:
	rm -f *~ *.o d.* s.* b.* fort.* *.exe
