## auto-07p 0.9.1%2Bdfsg

=== debian/control ===
Source: auto-07p
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
Build-Depends: debhelper (>= 9), gfortran, python-all-dev (>= 2.6.6-3~)
Standards-Version: 4.0.0
Homepage: http://sourceforge.net/projects/auto-07p/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/auto-07p.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/auto-07p.git;a=summary

Package: auto-07p
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: software for continuation and bifurcation problems in ODE
 AUTO can do a limited bifurcation analysis of algebraic systems
 of the form
   f(u,p) = 0,  f,u in Rn
 and of systems of ordinary differential equations of the form
   u'(t) = f(u(t),p),  f,u in Rn
 subject to initial conditions, boundary conditions, and integral
 constraints. Here p denotes one or more parameters. AUTO can also
 do certain continuation and evolution computations for parabolic
 PDEs.  It also includes the software HOMCONT for the bifurcation
 analysis of homoclinic orbits. AUTO is quite fast and can benefit
 from multiple processors; therefore it is applicable to rather
 large systems of differential equations.
