## auto-07p 0.9.1+dfsg

=== debian/changelog ===
auto-07p (0.9.1+dfsg-7) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.
  * Use secure copyright file specification URI.

  [ Sergey B Kirpichev ]
  * Bump up Standards-Version (to 4.2.1)
  * Use secure urls in debian/, for control, patches/ and in watch file.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 22 Nov 2018 13:46:31 +0300

auto-07p (0.9.1+dfsg-6) unstable; urgency=medium

  * Fix ftbfs for GCC-8 (Closes: #897711)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 11 Sep 2018 16:50:54 +0300

auto-07p (0.9.1+dfsg-5) unstable; urgency=medium

  * Fix lintian warning debian-rules-should-not-use-or-modify-user-only-variable
  * Point Vcs-* control fields to salsa
  * Fix section to be in sync with override
  * Bump up Standards-Version (to 4.1.4)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 24 May 2018 12:40:17 +0300

auto-07p (0.9.1+dfsg-4) unstable; urgency=medium

  * Bump up Standards-Version (to 4.0.0)
  * Add -fPIC to CFLAGS/FFLAGS

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 10 Jul 2017 11:20:45 +0300

auto-07p (0.9.1+dfsg-3) unstable; urgency=medium

  * Fix bashisms in helper scripts (Closes: #772189).
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 30 Jan 2015 04:09:36 +0300

auto-07p (0.9.1+dfsg-2) unstable; urgency=medium

  * Changed Maintainer/uploaders control fields
  * Cleanup python deps
  * Set package Section to science
  * override lintian: debian-watch-may-check-gpg-signature
  * Bump up Standards-Version (to 3.9.6)
  * Fix last changelog entry

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 26 Oct 2014 13:12:21 +0300

auto-07p (0.9.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #512916)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 11 Oct 2012 17:25:58 +0400
