=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: auto-07p
-Section: science
+Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 9), gfortran, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.0.0
-Homepage: http://sourceforge.net/projects/auto-07p/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/auto-07p.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/auto-07p.git;a=summary
+Standards-Version: 4.2.1
+Homepage: https://sourceforge.net/projects/auto-07p/
+Vcs-Browser: https://salsa.debian.org/science-team/auto-07p
+Vcs-Git: https://salsa.debian.org/science-team/auto-07p.git
 
 Package: auto-07p
 Architecture: any
