## auto-07p 0.9.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
-Build-Depends: debhelper (>= 9), gfortran, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.2.1
-Homepage: https://sourceforge.net/projects/auto-07p/
+Build-Depends: debhelper (>= 9), gfortran, dh-python, python3-all-dev
+Standards-Version: 4.4.1
+Homepage: https://github.com/auto-07p/auto-07p
 Vcs-Browser: https://salsa.debian.org/science-team/auto-07p
 Vcs-Git: https://salsa.debian.org/science-team/auto-07p.git
 
 Package: auto-07p
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
 Description: software for continuation and bifurcation problems in ODE
  AUTO can do a limited bifurcation analysis of algebraic systems
  of the form
