=== debian/changelog ===
auto-07p (0.9.2+dfsg-3) unstable; urgency=medium

  * Bump up Standards-Version (to 4.5.0)
  * Install autox

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 28 Apr 2020 11:47:53 +0300

auto-07p (0.9.2+dfsg-2) unstable; urgency=medium

  * Bump up Standards-Version (to 4.4.1)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 12 Dec 2019 23:16:33 +0300

auto-07p (0.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.2+dfsg (Closes: #936164)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 12 Dec 2019 20:21:08 +0300
