=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 9), gfortran, dh-python, python3-all-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/auto-07p/auto-07p
 Vcs-Browser: https://salsa.debian.org/science-team/auto-07p
 Vcs-Git: https://salsa.debian.org/science-team/auto-07p.git
