=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fPIC
export DEB_FFLAGS_MAINT_APPEND = -fPIC -std=legacy

%:
	dh $@ --sourcedirectory=07p --with python3

override_dh_auto_clean:
	cd 07p
	-make clean

override_dh_auto_configure:
	dh_auto_configure -- --with-optimization-flags="$(FFLAGS)"

override_dh_auto_install:
	install -m 644 -o root -g root 07p/bin/auto \
			debian/auto-07p/usr/bin/auto-07p
	install -m 644 -o root -g root 07p/bin/autox \
            debian/auto-07p/usr/bin/autox
	install -m 644 -o root -g root 07p/python/auto/*.py \
		debian/auto-07p/usr/lib/auto-07p/python/auto/
	install -m 644 -o root -g root 07p/python/auto/graphics/*.py \
		debian/auto-07p/usr/lib/auto-07p/python/auto/graphics/
	install -m 644 -o root -g root 07p/include/auto*.h \
		debian/auto-07p/usr/include
	install -m 644 -o root -g root 07p/include/config.h \
		debian/auto-07p/usr/include/auto-07p_config.h
	sed -i 's/"config\.h"/<auto-07p_config.h>/' \
		debian/auto-07p/usr/include/auto_f2c.h
	chmod +x debian/auto-07p/usr/lib/auto-07p/python/auto/interactiveBindings.py
	rm -f debian/auto-07p/usr/lib/auto-07p/python/auto/graphics/pyplaut.py
	cp -av 07p/cmds debian/auto-07p/usr/lib/auto-07p/
	rm -f debian/auto-07p/usr/lib/auto-07p/cmds/@ps \
		  debian/auto-07p/usr/lib/auto-07p/cmds/@eps
	cp -av 07p/lib debian/auto-07p/usr/lib/auto-07p/

override_dh_install:

# dh_installchangelogs doesn't honor -O--sourcedirectory?
override_dh_installchangelogs:
	dh_installchangelogs -O--sourcedirectory=07p 07p/CHANGELOG
